#include <stdio.h>

int main(){
	int n, i, j, l, d;
	
	scanf("%d", &n);
	if(n<1){
		printf("-1\n");
		return 1;
	}

	l=n-1; d=n-1;
	for(i=0; i<n; i++){
		for(j=0; j<2*n-1;j++){
			if(j<l || j>d)
				printf(" ");
			else if((j+i+n)%2)
				printf("*");
			else
				printf("A");
		}
		l--;
		d++;
		printf("\n");
	}

	return 0;
}
